import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.datatransfer.resolver.catalogue.resource.CkanCatalogueConfigurationsReader;
import org.gcube.datatransfer.resolver.catalogue.resource.GatewayCKANCatalogueReference;
import org.gcube.datatransfer.resolver.init.UriResolverSmartGearManagerInit;
import org.gcube.datatransfer.resolver.services.CatalogueResolver;
import org.junit.Before;
import org.junit.Test;


/**
 * The Class CatalogueResolverTest.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * May 13, 2019
 */
public class CatalogueResolverTest {

	private static String entityName = "using_e-infrastructures_for_biodiversity_conservation";
	private static String entityContext = "ctlg";
	private static String vreName = "BlueBridgeProject";
	
	private String rootContextScope = "/gcube";
	private String authorizationToken = "";
	
	//@Before
	public void init() {

		UriResolverSmartGearManagerInit.setRootContextScope(rootContextScope);
	}

	
	//@Test
	public void testCatalogueResolver() {
		SecurityTokenProvider.instance.set(authorizationToken);
		CatalogueResolver catalogRes = new CatalogueResolver();
		catalogRes.resolveCatalogue(null, entityName, vreName, entityContext);
		
	}

	//@Test
	public void testCatalogueLoadEndPoints() {
		
		try {
		
			//ScopeProvider.instance.set("/d4science.research-infrastructures.eu");
			GatewayCKANCatalogueReference ckanCatalogueReference = CkanCatalogueConfigurationsReader.loadCatalogueEndPoints();
			System.out.println(ckanCatalogueReference.toString());
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
